<?php
namespace App\Http\Controllers;
use App\Repositories\ConfigPickupNodeRepository;
use App\Transformers\PickupNodeTransformer;
use Illuminate\Http\Request;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;

/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/4/25
 * Time: 上午10:09
 */

class ConfigPickupNodeController extends BaseController
{
    public function __construct(ConfigPickupNodeRepository $configPickupNodeRepository) {

        $this->configPickupNodeRepository = $configPickupNodeRepository;
    }

    public function index(Request $request)
    {
        //自提点列表
        $configPickupNode = $this->configPickupNodeRepository->index($request->all());
        if (count($configPickupNode)>0) {

            foreach ($configPickupNode as $k => $v) {
                $configPickupNode[$k]->receive_type = $v->receive_type == 0 ? '信任交付' : '手动确认接货';

                $configPickupNode[$k]->status = $v->status == 0 ? '启用' : '禁用';

                $configPickupNode[$k]->store_ids = $v->getStoreNameAttribute();//储存方式名称
                $configPickupNode[$k]->pickup_group_id = $v->getGroupNameAttribute();//自提点分组名称
            }
        }

        $fractal = new Manager();
        $resource = new Collection($configPickupNode , new PickupNodeTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($configPickupNode));
        $data = $fractal->createData($resource)->toArray();
        return $this->jsonSuccess($data);
    }

}